Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.io
Class FileInfo

    java.lang.Object
      ij.io.FileInfo

public class FileInfo
extends java.lang.Object

This class consists of public fields that describe an image file.

Field Summary
`static int` | `ARGB` 32-bit interleaved ARGB.
`static int` | `BARG` 32-bit interleaved BARG (MCID).
`static int` | `BGR` 24-bit interleaved BGR.
`static int` | `BITMAP` 1-bit black and white.
`byte[]` | `blues`
`static int` | `BMP`
`int` | `calibrationFunction`
`double[]` | `coefficients`
`static int` | `COLOR8` 8-bit unsigned integer with color lookup table.
`int` | `compression`
`static int` | `COMPRESSION_NONE`
`static int` | `COMPRESSION_UNKNOWN`
`java.lang.String` | `debugInfo`
`java.lang.String` | `description`
`static int` | `DICOM`
`java.lang.String` | `directory`
`int` | `fileFormat`
`java.lang.String` | `fileName`
`int` | `fileType`
`static int` | `FITS`
`double` | `frameInterval`
`int` | `gapBetweenImages`
`static int` | `GIF_OR_JPG`
`static int` | `GRAY12_UNSIGNED` 12-bit unsigned integer (0-4095).
`static int` | `GRAY16_SIGNED` 16-bit signed integer (-32768-32767).
`static int` | `GRAY16_UNSIGNED` 16-bit unsigned integer (0-65535).
`static int` | `GRAY24_UNSIGNED` 24-bit unsigned integer.
`static int` | `GRAY32_FLOAT` 32-bit floating-point.
`static int` | `GRAY32_INT` 32-bit signed integer.
`static int` | `GRAY32_UNSIGNED` 32-bit unsigned integer.
`static int` | `GRAY64_FLOAT` 64-bit floating-point.
`static int` | `GRAY8` 8-bit unsigned integer (0-255).
`byte[]` | `greens`
`int` | `height`
`static int` | `IMAGEIO`
`java.lang.String` | `info`
`java.io.InputStream` | `inputStream`
`boolean` | `intelByteOrder`
`long` | `longOffset`
`int` | `lutSize`
`static int` | `LZW`
`static int` | `LZW_WITH_DIFFERENCING`
`byte[][]` | `metaData`
`int[]` | `metaDataTypes`
`int` | `nImages`
`int` | `offset`
`static int` | `PGM`
`double` | `pixelDepth`
`double` | `pixelHeight`
`java.lang.Object` | `pixels`
`double` | `pixelWidth`
`static int` | `RAW`
`byte[]` | `reds`
`static int` | `RGB` 24-bit interleaved RGB.
`static int` | `RGB_PLANAR` 24-bit planer RGB.
`static int` | `RGB48` 48-bit interleaved RGB.
`static int` | `RGB48_PLANAR` 48-bit planar RGB.
`java.lang.String[]` | `sliceLabels`
`int[]` | `stripLengths`
`int[]` | `stripOffsets`
`static int` | `TIFF`
`java.lang.String` | `unit`
`static int` | `UNKNOWN`
`java.lang.String` | `url`
`java.lang.String` | `valueUnit`
`boolean` | `whiteIsZero`
`int` | `width`
`static int` | `ZIP_ARCHIVE`

Constructor Summary
`FileInfo()` Creates a FileInfo object with all of its fields set to their default value.

Method Summary
`int` | `getBytesPerPixel()` Returns the number of bytes used per pixel.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GRAY8

    public static final int GRAY8

  8-bit unsigned integer (0-255).

  See Also:
    Constant Field Values

### GRAY16_SIGNED

    public static final int GRAY16_SIGNED

  16-bit signed integer (-32768-32767). Imported signed images are converted to unsigned by adding 32768.

  See Also:
    Constant Field Values

### GRAY16_UNSIGNED

    public static final int GRAY16_UNSIGNED

  16-bit unsigned integer (0-65535).

  See Also:
    Constant Field Values

### GRAY32_INT

    public static final int GRAY32_INT

  32-bit signed integer. Imported 32-bit integer images are converted to floating-point.

  See Also:
    Constant Field Values

### GRAY32_FLOAT

    public static final int GRAY32_FLOAT

  32-bit floating-point.

  See Also:
    Constant Field Values

### COLOR8

    public static final int COLOR8

  8-bit unsigned integer with color lookup table.

  See Also:
    Constant Field Values

### RGB

    public static final int RGB

  24-bit interleaved RGB. Import/export only.

  See Also:
    Constant Field Values

### RGB_PLANAR

    public static final int RGB_PLANAR

  24-bit planer RGB. Import only.

  See Also:
    Constant Field Values

### BITMAP

    public static final int BITMAP

  1-bit black and white. Import only.

  See Also:
    Constant Field Values

### ARGB

    public static final int ARGB

  32-bit interleaved ARGB. Import only.

  See Also:
    Constant Field Values

### BGR

    public static final int BGR

  24-bit interleaved BGR. Import only.

  See Also:
    Constant Field Values

### GRAY32_UNSIGNED

    public static final int GRAY32_UNSIGNED

  32-bit unsigned integer. Imported 32-bit integer images are converted to floating-point.

  See Also:
    Constant Field Values

### RGB48

    public static final int RGB48

  48-bit interleaved RGB.

  See Also:
    Constant Field Values

### GRAY12_UNSIGNED

    public static final int GRAY12_UNSIGNED

  12-bit unsigned integer (0-4095). Import only.

  See Also:
    Constant Field Values

### GRAY24_UNSIGNED

    public static final int GRAY24_UNSIGNED

  24-bit unsigned integer. Import only.

  See Also:
    Constant Field Values

### BARG

    public static final int BARG

  32-bit interleaved BARG (MCID). Import only.

  See Also:
    Constant Field Values

### GRAY64_FLOAT

    public static final int GRAY64_FLOAT

  64-bit floating-point. Import only.

  See Also:
    Constant Field Values

### RGB48_PLANAR

    public static final int RGB48_PLANAR

  48-bit planar RGB. Import only.

  See Also:
    Constant Field Values

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

### RAW

    public static final int RAW

See Also:
  Constant Field Values

### TIFF

    public static final int TIFF

See Also:
  Constant Field Values

### GIF_OR_JPG

    public static final int GIF_OR_JPG

See Also:
  Constant Field Values

### FITS

    public static final int FITS

See Also:
  Constant Field Values

### BMP

    public static final int BMP

See Also:
  Constant Field Values

### DICOM

    public static final int DICOM

See Also:
  Constant Field Values

### ZIP_ARCHIVE

    public static final int ZIP_ARCHIVE

See Also:
  Constant Field Values

### PGM

    public static final int PGM

See Also:
  Constant Field Values

### IMAGEIO

    public static final int IMAGEIO

See Also:
  Constant Field Values

### COMPRESSION_UNKNOWN

    public static final int COMPRESSION_UNKNOWN

See Also:
  Constant Field Values

### COMPRESSION_NONE

    public static final int COMPRESSION_NONE

See Also:
  Constant Field Values

### LZW

    public static final int LZW

See Also:
  Constant Field Values

### LZW_WITH_DIFFERENCING

    public static final int LZW_WITH_DIFFERENCING

See Also:
  Constant Field Values

### fileFormat

    public int fileFormat

### fileType

    public int fileType

### fileName

    public java.lang.String fileName

### directory

    public java.lang.String directory

### url

    public java.lang.String url

### width

    public int width

### height

    public int height

### offset

    public int offset

### nImages

    public int nImages

### gapBetweenImages

    public int gapBetweenImages

### whiteIsZero

    public boolean whiteIsZero

### intelByteOrder

    public boolean intelByteOrder

### compression

    public int compression

### stripOffsets

    public int[] stripOffsets

### stripLengths

    public int[] stripLengths

### lutSize

    public int lutSize

### reds

    public byte[] reds

### greens

    public byte[] greens

### blues

    public byte[] blues

### pixels

    public java.lang.Object pixels

### debugInfo

    public java.lang.String debugInfo

### sliceLabels

    public java.lang.String[] sliceLabels

### info

    public java.lang.String info

### inputStream

    public java.io.InputStream inputStream

### pixelWidth

    public double pixelWidth

### pixelHeight

    public double pixelHeight

### pixelDepth

    public double pixelDepth

### unit

    public java.lang.String unit

### calibrationFunction

    public int calibrationFunction

### coefficients

    public double[] coefficients

### valueUnit

    public java.lang.String valueUnit

### frameInterval

    public double frameInterval

### description

    public java.lang.String description

### longOffset

    public long longOffset

### metaDataTypes

    public int[] metaDataTypes

### metaData

    public byte[][] metaData

Constructor Detail

### FileInfo

    public FileInfo()

  Creates a FileInfo object with all of its fields set to their default value.

Method Detail

### getBytesPerPixel

    public int getBytesPerPixel()

  Returns the number of bytes used per pixel.

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD